require 'singleton'
require 'null_and_void/stubbable'
require 'null_and_void/convertible'
require 'null_and_void/falsifiable'
require 'null_and_void/introspectable'

module NullAndVoid
  module Nullified
    def self.included(base)
      base.__send__(:include, Singleton)
      base.__send__(:include, ::NullAndVoid::Stubbable)
      base.__send__(:include, ::NullAndVoid::Convertible)
      base.__send__(:include, ::NullAndVoid::Falsifiable)
      base.__send__(:include, ::NullAndVoid::Introspectable)
    end
  end
end
