module NullAndVoid
  module Persistable
    module ClassMethods
      def find(_id)
        instance
      end
    end

    def id
      return 1 if caller[1].include?('/globalid')

      nil
    end

    def readonly?
      true
    end

    def persisted?
      false
    end

    def new_record?
      true
    end

    def destroyed?
      true
    end

    def all
      []
    end

    def to_key
      []
    end

    def to_param
      ''
    end

    def valid?
      true
    end

    def self.included(base)
      base.extend(ClassMethods)
    end
  end
end
